> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Public Competitor Products



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json get /v1/matching/competitor-products
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/matching/competitor-products:
    get:
      tags:
        - matching
      summary: Public Competitor Products
      operationId: public_competitor_products_v1_matching_competitor_products_get
      parameters:
        - name: query
          in: query
          required: false
          schema:
            type: string
            maxLength: 128
            default: ''
            title: Query
        - name: competitor
          in: query
          required: false
          schema:
            type: string
            maxLength: 256
            default: ''
            title: Competitor
        - name: availability
          in: query
          required: false
          schema:
            type: string
            maxLength: 24
            default: ''
            title: Availability
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 4096
              - type: 'null'
            title: Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompetitorProducts'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CompetitorProducts:
      properties:
        external_org_id:
          type: string
          format: uuid
          title: External Org Id
        items:
          items:
            $ref: '#/components/schemas/CompetitorCandidate'
          type: array
          maxItems: 100
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        has_more:
          type: boolean
          title: Has More
      type: object
      required:
        - external_org_id
        - items
        - next_cursor
        - has_more
      title: CompetitorProducts
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CompetitorCandidate:
      properties:
        competitor_product_id:
          type: string
          title: Competitor Product Id
        competitor:
          $ref: '#/components/schemas/MatchCompetitor'
        product:
          $ref: '#/components/schemas/MatchProduct'
        offer:
          anyOf:
            - $ref: '#/components/schemas/MatchOffer'
            - type: 'null'
        variant:
          anyOf:
            - type: string
            - type: 'null'
          title: Variant
      type: object
      required:
        - competitor_product_id
        - competitor
        - product
        - offer
      title: CompetitorCandidate
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MatchCompetitor:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        name:
          type: string
          title: Name
        domain:
          type: string
          title: Domain
      type: object
      required:
        - id
        - name
        - domain
      title: MatchCompetitor
    MatchProduct:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        url:
          type: string
          title: Url
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        barcode:
          anyOf:
            - type: string
            - type: 'null'
          title: Barcode
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
      type: object
      required:
        - name
        - url
        - sku
        - barcode
        - brand
        - size
        - unit
        - image_url
      title: MatchProduct
    MatchOffer:
      properties:
        price:
          anyOf:
            - $ref: '#/components/schemas/MatchMoney'
            - type: 'null'
        regular_price:
          anyOf:
            - $ref: '#/components/schemas/MatchMoney'
            - type: 'null'
        promo_price:
          anyOf:
            - $ref: '#/components/schemas/MatchMoney'
            - type: 'null'
        availability:
          type: string
          title: Availability
        observed_at:
          type: string
          title: Observed At
        assurance:
          type: string
          title: Assurance
      type: object
      required:
        - price
        - regular_price
        - promo_price
        - availability
        - observed_at
        - assurance
      title: MatchOffer
    MatchMoney:
      properties:
        amount:
          type: string
          title: Amount
        currency:
          type: string
          title: Currency
      type: object
      required:
        - amount
        - currency
      title: MatchMoney

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.